> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getjusto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar cajas

> Lista las cajas del local y su estado en el turno actual. El turno del local se abre con la primera caja que se abre.



## OpenAPI

````yaml get /tabs/{storeId}/cash-registers
openapi: 3.1.0
info:
  title: Justo API
  version: 3.0.0
servers:
  - url: https://api.service.getjusto.com/v3
    description: Production server
security: []
paths:
  /tabs/{storeId}/cash-registers:
    get:
      summary: List cash registers
      description: >-
        Lista las cajas del local y su estado en el turno actual. El turno del
        local se abre con la primera caja que se abre.
      parameters:
        - in: path
          name: storeId
          required: true
          schema:
            type: string
          description: ID Justo del local.
      responses:
        '200':
          description: The OpenAPI spec
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/tabsCashRegister'
        '400':
          description: Errors
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: 'false'
                  error:
                    type: object
                    properties:
                      error:
                        type: string
                        example: error
                      message:
                        type: string
                        example: The request has an error
components:
  schemas:
    tabsCashRegister:
      type: object
      description: Caja del local y su estado en el turno actual.
      properties:
        _id:
          type: string
          description: ID de la caja.
        name:
          type: string
          description: Nombre de la caja.
        isDefault:
          type: boolean
          description: Si es la caja por defecto del local.
        status:
          type: string
          enum:
            - notOpened
            - open
            - closed
          description: >-
            notOpened: no se ha abierto en el turno actual (o no hay turno).
            open: abierta. closed: ya se cerró en este turno.
        shiftId:
          type:
            - string
            - 'null'
          description: Turno abierto del local, si hay uno.
        openedAt:
          type:
            - string
            - 'null'
          description: Fecha de apertura en este turno.
        openedByName:
          type:
            - string
            - 'null'
          description: Quién la abrió.
        closedAt:
          type:
            - string
            - 'null'
          description: Fecha de cierre en este turno.
        closedByName:
          type:
            - string
            - 'null'
          description: Quién la cerró.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.